PHP K�sikirja
Edellinen |  | Seuraava

# DOMDocument->relaxNGValidate()

DOMDocument->relaxNGValidate() -- Performs relaxNG validation on the document

## Description

class DOMDocument {
bool relaxNGValidate ( string filename )
}

Performs relaxNG validation on the document based on the given RNG schema.

## Parameters

filename

  The RNG file.

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## See Also

DOMDocument->relaxNGValidateSource()
DOMDocument->schemaValidate()
DOMDocument->schemaValidateSource()
DOMDocument->validate()

Edellinen | Alkuun | Seuraava
DOMDocument->normalize() | Ylös | DOMDocument->relaxNGValidateSource()